Lists the email import jobs of a case, newest first by default, with their status and imported counts.
Query parameters
-
Default value is
1. -
Default value is
10. -
If skip/limit not provided, page/perPage will take precedence
-
If skip/limit not provided, page/perPage will take precedence
-
Values are
ascordesc. Default value isasc. -
Filter by job status
Values are
not_started,in_progress,completed, orfailed. -
Filter by email provider ID
GET
/email-data/{caseId}/import-jobs
curl \
--request GET 'http://api.example.com/email-data/{caseId}/import-jobs' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"data": {
"total": 42,
"page": 1,
"perPage": 20,
"skip": 0,
"limit": 20,
"totalPages": 3,
"nextPage": 2,
"previousPage": 42.0,
"data": [
{
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"emailDataProvider": {},
"extractionCode": {},
"case": {},
"notificationEmails": [
"jane.doe@example.com"
],
"status": "not_started",
"type": "by_thread",
"startedAt": "2026-01-15T14:30:00.000Z",
"completedAt": "2026-05-04T09:42:00Z",
"failedAt": "2026-05-04T09:42:00Z",
"message": "Importing threads",
"jobData": {
"providerId": "65a1b2c3d4e5f6a7b8c9d0e1"
},
"importedThreadsCount": 120,
"importedEmailsCount": 348,
"totalThreadsCount": 400,
"totalEmailsCount": 1150,
"isCancelled": false,
"scheduledFor": "2026-05-04T09:42:00Z"
}
]
},
"statusCode": 200,
"timestamp": "2026-01-15T10:15:00.000Z"
}